function Model=FindFileName(Model);


switch Model.PScoreModel
    case '3valOprobit'
      switch Model.Type
          case 'oct_nopcip_full_ff2'
                Model.scoref='3vals_oprobit_score_romer2.mat'; 
                Model.paramf='3vals_oprobit_parests_romer2.mat';  
            case 'oct_nopcip_full'
                Model.scoref='3vals_oprobit_score_romer.mat';  
                Model.paramf='3vals_oprobit_parests_romer.mat';                  
            case 'romer_9var'
                Model.scoref='3vals_oprobit_score_9vars.mat';
                Model.paramf='3vals_oprobit_parests_9vars.mat';
            case 'romer_9var_ff2'
                Model.scoref='3vals_oprobit_score_10vars.mat'; 
                Model.paramf='3vals_oprobit_parests_10vars.mat'; 
            case 'romer_12var'
                Model.scoref='3vals_oprobit_score_12vars.mat'; 
                Model.paramf='3vals_oprobit_parests_12vars.mat'; 


            case 'oct_nopcip_full_Bin'
                Model.scoref='3vals_oprobit_score_romer_bin.mat';  
                Model.paramf='3vals_oprobit_parests_romer_bin.mat';                  
             case 'romer_9var_Bin'
                Model.scoref='3vals_oprobit_score_9vars_bin.mat';
                Model.paramf='3vals_oprobit_parests_9vars_bin.mat';
             case 'romer_9var_ff2_Bin'
                Model.scoref='3vals_oprobit_score_10vars_bin.mat'; 
                Model.paramf='3vals_oprobit_parests_10vars_bin.mat';    

            case 'Taylor_nsa_Bin';
                Model.scoref='taylor_score_oprobit_nsa_bin.mat';
                Model.paramf='taylor_parests_oprobit_nsa_bin.mat';
             case 'Taylor_nsa';
                Model.scoref='taylor_score_oprobit_nsa.mat';
                Model.paramf='taylor_parests_oprobit_nsa.mat';
                
             case 'Taylor_nsa_sq_Bin';
                Model.scoref='taylor_score_oprobit_nsa_sq_bin.mat';
                Model.paramf='taylor_parests_oprobit_nsa_sq_bin.mat';
             case 'Taylor_nsa_sq';
                Model.scoref='taylor_score_oprobit_nsa_sq.mat';
                Model.paramf='taylor_parests_oprobit_nsa_sq.mat';
             case 'Taylor_nsa_qua';
                Model.scoref='taylor_score_oprobit_nsa_quartic.mat';
                Model.paramf='taylor_parests_oprobit_nsa_quartic.mat'
 
            case 'Taylor_sa_Bin';
                Model.scoref='taylor_score_oprobit_sa_bin.mat';
                Model.paramf='taylor_parests_oprobit_sa_bin.mat';
             case 'Taylor_sa';
                Model.scoref='taylor_score_oprobit_sa.mat';
                Model.paramf='taylor_parests_oprobit_sa.mat';                 
      end
    case '3valmnlogit'
       switch Model.Type
            case 'oct_nopcip_full_ff2'
                Model.scoref='3vals_mlogit_score_romer2.mat';
                Model.paramf='3vals_mlogit_parests_romer2.mat';
            case 'oct_nopcip_full'
                Model.scoref='3vals_mlogit_score_romer.mat'; 
                Model.paramf='3vals_mlogit_parests_romer.mat';  
             case 'romer_9var'
                Model.scoref='3vals_mlogit_score_9vars.mat';
                Model.paramf='3vals_mlogit_parests_9vars.mat'; 
            case 'romer_9var_ff2'
                Model.scoref='3vals_mlogit_score_10vars.mat';
                Model.paramf='3vals_mlogit_parests_10vars.mat';  
       end
    case 'OProbit'
        switch Model.Type
            case 'romer'
                Model.scoref='oprobit_score_romer.mat'; 
                 Model.paramf='oprobit_parests_romer.mat';  
            case 'romer_7var'
                Model.scoref='oprobit_score_7vars.mat';  
                Model.paramf='oprobit_parests_7vars.mat';  
            case 'romer_9var'
                Model.scoref='oprobit_score_9vars.mat';  
                Model.paramf='oprobit_parests_9vars.mat';  
            case 'romer_9var_ff2'
                Model.scoref='oprobit_score_9varsplus_square.mat'; 
                Model.paramf='oprobit_parests_9varsplus_square.mat'; 
            case 'romer_12var'
                Model.scoref='oprobit_score_9varsplus_quartic.mat'; 
                Model.paramf='oprobit_parests_9varsplus_quartic.mat'; 

            case 'romer_9var_ffl'
                Model.scoref='oprobit_score_9varsplus_lag2.mat';
                Model.paramf='oprobit_parests_9varsplus_lag2.mat';  
            case 'oct_nopcip_full'
                Model.scoref='oprobit_score_no_pcipnsa.mat';
                Model.paramf='oprobit_parests_no_pcipnsa.mat';
            case 'oct3_12'
                Model.scoref='score_oct3_12.mat'; 
                Model.paramf='parest_oct3_12.mat'; 
            case 'oct3_24'
                Model.scoref='score_oct3_24.mat'; 
                Model.paramf='parest_oct3_24.mat';  
            case 'oct_12'
                Model.scoref='score_oct12.mat';
                Model.paramf='parest_oct12.mat';  
            case 'oct_24'
                Model.scoref='score_oct24.mat';
                Model.paramf='parest_oct24.mat'; 
            case 'sep'
                Model.scoref='score_sep.mat';  
                Model.paramf='parest_sep.mat';
            case 'aug'
                Model.scoref='score_aug.mat';  
                Model.paramf='parest_aug.mat';
        end    
    case 'gologit'
        switch Model.Type
            case 'oct3_12_auto'
                Model.scoref='gologit_score_12lags_auto_dec19.mat';  
                Model.paramf='gologit_parests_12lags_auto_dec19.mat';  
            case 'oct3_12_full'
                Model.scoref='gologit_score_12lags_dec19.mat'; 
                Model.paramf='gologit_parests_12lags_dec27.mat'; 
        end
    case 'mnlogit'
        switch Model.Type
            case 'romer'
                Model.scoref='mlogit_score_romer.mat'; 
                Model.paramf='mlogit_parests_romer.mat';
            case 'romer_7var'
                Model.scoref='mlogit_score_7vars.mat';
                Model.paramf='mlogit_parests_7vars.mat';  
            case 'romer_9var'
                Model.scoref='mlogit_score_9vars.mat';
                Model.paramf='mlogit_parests_9vars.mat';  
            case 'romer_9var_ff2'
                Model.scoref='mlogit_score_9varsplus_square.mat';
                Model.paramf='mlogit_parests_9varsplus_square.mat'; 
            case 'romer_9var_ffl'
                Model.scoref='mlogit_score_9varsplus_lag2.mat';
                Model.paramf='mlogit_parests_9varsplus_lag2.mat';  
            case 'oct3_12_auto'
                Model.scoref='mnlogit_score_12lags_auto_dec19.mat';
                Model.paramf='mnlogit_parests_12lags_auto_dec19.mat'; 
            case 'oct3_12_full'
                Model.scoref='mnlogit_score_12lags_dec27.mat';
                Model.paramf='mnlogit_parests_12lags_dec27.mat'; 
            case 'oct_nopcip_full'
                Model.scoref='mlogit_score_nopcip_dec30.mat'; 
                Model.paramf='mlogit_parests_nopcip_dec30.mat';
            case 'oct_12_full'
                Model.scoref='mnlogit_score_12lags_dec27.mat';  
                Model.paramf='mnlogit_parests_12lags_dec27.mat';                  
        end
            
end
