function MCIT3val(Type,PSM,bs)

Model=struct('Start','','End','','Variables','','Type','');

if nargin==2
    bs=[];
end

%supported Model Types:
% parset1
% parset2

Model.list=[1]; %list of choice categories to be included in test
Model.NonRedList=[1 3]; %categories used to form test statistic, omitting one to avoid redundancy
Model.CutOff=.7; %This is the parameter x that determines the set Upsilon[0,1]
Model.Type=Type;
Model.Start='31-Dec-1960';
Model.End='1-Jan-1997';
Model.level=[-.25,0,.25]';
Model.Test='Unconditional';
Model.BST=bs; %Bootstrap Type
Model.BSRep=1000; %number of bootstrap replications
randn('state',0);

Model.PScoreModel=PSM; %multinomial logit (see Madalla, 1983, p.36)
% exlude these meeting dates from computation of test statistic.
% if no dates are to be exluded then this line needs to be removed or
% commented out. If Exlude contains more then one date, the dates need to
% be arranged as a row vector

%Exclude specific dates:
%Model.Exclude=[datenum('31-May-1980')]; 
%Model.ExTyp='M80';

%Exclude dates based on condition: g95=> phat>.95
Model.Exclude=[];
%Model.ExTyp='g95';
%Exclude dates based on condition: b5-95=> phat>ub or phat<lb
Model.ub=.9999;
Model.lb=.0001;
Model.ExTyp='b5-95';

Model=LoadData(Model);

if ~isempty(Model.Exclude)
    dlmwrite(['CIT_Exclude_', Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],datestr(Model.Exclude),'delimiter','');
end

Model.list=[1];
result=Start_CondIndTest(Model);
dlmwrite(['Test1_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST  '.txt'],result,'\t');


Model.list=[3];
result=Start_CondIndTest(Model);
dlmwrite(['Test3_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],result,'\t');



Model.list=[1 3];
result=Start_CondIndTest(Model);
dlmwrite(['Test13_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],result,'\t');

