function U=RosenblattBRK(V,a,b,c);
%Implements Nonparametric Version of Rosenblatt (1952) Transform using
%Bias Reducing Kernels, 11/24/04

k=size(V,2);
n=size(V,1);
U=zeros(n,k);
M=eye(n)-ones(n,1)*ones(1,n)/n;
cv=cov(V);
[C,L]=schur(cv);
C1=C*inv(L.^(1/2));
V=M*V*C1; %Demean and Standardize V

for i=k:-1:1;
    for t=1:n;
        U1=0;
        U2=0;
        for s=1:n;
            if i<k;
               U1=U1+BierensKernel((V(s,i+1:k)-V(t,i+1:k))'/a,b,c)*(V(s,i)<=V(t,i))/n;
               U2=U2+BierensKernel((V(s,i+1:k)-V(t,i+1:k))'/a,b,c)/n;
            else
               U1=U1+(V(s,i)<=V(t,i))/n;
            end
        end
        if i<k;
           U(t,i)=U1/U2;
        else
           U(t,i)=U1;
        end
    end
end
            



function k=GK(x);
%Gaussian Kernel
p=size(x,2);
k=(2*pi)^(-p/2)*exp(-1/2*x'*x);
return