use model_data_239.dta, clear

sort year month

merge year month using romer_data

tab _m
keep if _m==3&sample==1
count

keep month year dtarg delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9 infl_sa_1-infl_sa_9

preserve

//ADD LAGS 7-9
//OPROBIT, NSA
oprobit dtarg delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9

local a=e(df_m)+2
local b=`a'+1

mat A=J(`b',`a',0)

mat B=e(b)
mat C=e(V)
mat A[1,1]=B
mat A[2,1]=C
drop _all
svmat A

local varlist="delta_FF_old delta_FF_older rgdpgrth_1 rgdpgrth_2 rgdpgrth_3 rgdpgrth_4 rgdpgrth_5 rgdpgrth_6 rgdpgrth_7 rgdpgrth_8 rgdpgrth_9 infl_nsa_1 infl_nsa_2 infl_nsa_3 infl_nsa_4 infl_nsa_5 infl_nsa_6 infl_nsa_7 infl_nsa_8 infl_nsa_9 cut1 cut2"
local t="nsa"
local f="oprobit"

disp "`varlist'"

local y=1

tokenize "`varlist'"
disp "`1'"
forvalues x=1/`a' {
rename A`y' `1'
local y=`y'+1
macro shift
}
gen estimate=""
gen variable=""
replace estimate="COV" 
replace estimate="PARMS" in 1

tokenize "`varlist'"
local y=2

forvalues x=1/`a' {
replace variable="`1'" in `y'
local y=`y'+1
macro shift
}


order estimate variable


outsheet using taylor_parests_`f'_`t'.txt, replace

restore
preserve

qui oprobit dtarg delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9 

predict phat_M25 phat_0 phat_P25

predict score_B score_cut1 score_cut2, scores

keep year month dtarg delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9 phat_M25 phat_0 phat_P25 score_B score_cut1 score_cut2
order year month dtarg delta_FF_old delta_FF_older rgdpgrth_1-rgdpgrth_9 infl_nsa_1-infl_nsa_9 phat_M25 phat_0 phat_P25 score_B score_cut1 score_cut2


outsheet using taylor_score_`f'_`t'.txt, replace


test rgdpgrth_7=rgdpgrth_8=rgdpgrth_9=0
eret2 scalar F_op_g_nsa =  r(chi2)
eret2 scalar p_op_g_nsa = r(p)
estimates store m5

test infl_nsa_7=infl_nsa_8=infl_nsa_9=0
eret2 scalar F_op_i_nsa =  r(chi2)
eret2 scalar p_op_i_nsa = r(p)
estimates store m6

restore
