insheet using data_month.txt, clear

gen date2="1-"+date

gen date3=date(date2, "dm19y")

gen month=month(date3)

gen year=year(date3)

egen t=rank(date3)

tsset t

qui destring  pcipnsa, replace ignore(NA)

forvalues x=1/36 {
gen pcipnsa_`x' = pcipnsa[_n-`x']
}

forvalues x=1/36 {
gen pcipnsa_p`x' = pcipnsa[_n+`x']
}

//browse

forvalues x=1/12 {
local y=3*`x'
egen pcipnsa_`x'q=rowtotal(pcipnsa_p1-pcipnsa_p`y')
}

forvalues x=1/6 {
local y=6*`x'
egen pcipnsa_`x'h=rowtotal(pcipnsa_p1-pcipnsa_p`y')
}

forvalues x=1/3 {
local y=12*`x'
egen pcipnsa_`x'y=rowtotal(pcipnsa_p1-pcipnsa_p`y')
}

//sum pcipnsa_*q pcipnsa_*h pcipnsa_*y

//DROP OBS CLOSE TO THE END WHERE NOT ALL LEADS ARE CORRECTLY DEFINED.
//IF 3-YEAR LEAD ISN'T MISSING, OBS IS OKAY.
tab year if pcipnsa_p36==.
drop if pcipnsa_p36==.

count

tab year if pcipnsa_36==.
gen early=1 if pcipnsa_36==.

count if early==.

//keep month year pcipnsa_p1- pcipnsa_p36 pcipnsa_*q pcipnsa_*h pcipnsa_*y

sort year month

save leads, replace
